libxml2

Loading...
Searching...
No Matches
Data Fields
_xmlNs Struct Reference

An XML namespace. More...

`#include <tree.h>`

## Data Fields
struct _xmlNs * | next
| next namespace
xmlNsType | type
| XML_NAMESPACE_DECL.
const xmlChar * | href
| namespace URI
const xmlChar * | prefix
| namespace prefix
void * | _private
| application data
struct _xmlDoc * | context
| normally an xmlDoc

## Detailed Description

An XML namespace.

Note that prefix == NULL is valid, it defines the default namespace within the subtree (until overridden).

xmlNsType is unified with xmlElementType.

Note that the XPath engine returns XPath namespace nodes as xmlNs cast to xmlNode. This is a terrible design decision that can easily cause type confusion errors. In this case, the next member points to the xmlNode element to which the namespace node belongs.

The documentation for this struct was generated from the following file:

- tree.h